# Setters

In order to change one of these things, through our approved addresses initiating a call, we can change the state of listed params below

```solidity
function setMinTimeToStake(
    uint256 _minTimeToStake
)

function setIsAllowed(
   bool _isEarlyWithdrawAllowed,
   bool _isFlatFeeAllowed
)

function setFeePercents(
  uint256 _stakeFeePercent,
  uint256 _rewardFeePercent
)

function setFlatFees(
    uint256 _flatFeeAmountDeposit,
    uint256 _flatFeeAmountWithdraw
)

function setWarmupCoolDown(
    uint256 _warmup,
    uint256 _coolDown
)

function setFeeCollector(
    address payable _feeCollector
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tokensfarm.com/for-developers/perpetualtokensfarm/setters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
